# file: randomRings.py
# author: Bob Muller
# date: September 10, 2013
#
# Part D of problem set 2, CS101, Fall 2013.
#
from stddraw import *
import random
import ring

def start():
    def responder(event):
        randomRings(picture, 100)

    picture = Picture()
    picture.setH(800)
    picture.setW(800)
    picture.bind('<Button-1>', responder)
    picture.start()

# randomRings : Picture * int -> void
#
# The call randomRings(picture, N) draws N random rings. NB
# the use of ring.ring from part A of the same problem set.
#
def randomRings(picture, n):
    if n > 0:
        color = picture.randomColor()
        radius = random.random()
        width = random.random() * radius
        (x, y) = (random.random(), random.random())
        ring.ring(picture, x, y, radius, width, color)
        randomRings(picture, n - 1)

start()
