# file: goodRing.py
# author: Bob Muller
# date: September 10, 2013
#
# Solution to part B of problem set 2, CS101, Fall 2013.

from stddraw import *
import random
import ring

def start():
    def responder(event):
        goodRing(picture, .5, .5, .3, .5, 'blue')

    picture = Picture()
    picture.setH(800)
    picture.setW(800)
    picture.bind('<Button-1>', responder)
    picture.start()

# goodRing : Picture * float * float * float * float * color -> void
#
# The call goodRing(pict, x, y, radius, width, color) draws 
# a ring in picture centered at (x, y), with radius radius and
# the specified color. Note that the width must be less than the radius.
#
def goodRing(picture, x, y, radius, width, color):
    if width < radius:
        ring.ring(picture, x, y, radius, width, color)
    else:
        print 'Error: the width of this ring ' + str(width) + ' is greater than its radius ' + str(radius)

# start()
